
//+------------------------------------------------------------------+ 
//|                                         _TRO_HiLow_Fibs_P    .mq4| 
//|                                                                  | 
//| AVERY T. HORTON, JR. aka TheRumpledOne                           | 
//|------------------------------------------------------------------+ 
#property copyright "AVERY T. HORTON, JR." 
#property link      "" 

#property indicator_chart_window 
#property indicator_buffers 7 
#property indicator_color1 Red 
#property indicator_color2 Blue 
#property indicator_color3 Orange
#property indicator_color4 Orange 
#property indicator_color5 Gray 
#property indicator_color6 Orange 
#property indicator_color7 Orange 

//---- input parameters 
extern   int      max_bars=300; 
extern bool      bDrawFibs = true; 
extern bool      bResetOnNewDay = true; 
extern   int    iPeriod = 10080; 
extern   int    iShift = 1; 
extern double    iLevel1=0.24; 
extern double    iLevel2=0.382; 
extern double    iLevel3=0.5; 
extern double    iLevel4=0.618; 
extern double    iLevel5=0.76; 

//---- buffers 
double oTop[]; 
double oBot[]; 
double fb1[]; 
double fb2[]; 
double fb3[]; 
double fb4[]; 
double fb5[]; 

//+------------------------------------------------------------------+ 
//| Custom indicator initialization function                         | 
//+------------------------------------------------------------------+ 
int init() 
  { 
//---- indicators 
   SetIndexStyle(0,DRAW_ARROW); 
   SetIndexArrow(0,119); 
   SetIndexBuffer(0,oTop); 
   SetIndexEmptyValue(0,0.0); 
   SetIndexStyle(1,DRAW_ARROW); 
   SetIndexArrow(1,119); 
   SetIndexBuffer(1,oBot); 
   SetIndexEmptyValue(1,0.0); 
   SetIndexStyle(2,DRAW_ARROW); 
   SetIndexArrow(2,119); 
   SetIndexBuffer(2,fb1); 
   SetIndexEmptyValue(2,0.0); 
   SetIndexStyle(3,DRAW_ARROW); 
   SetIndexArrow(3,119); 
   SetIndexBuffer(3,fb2); 
   SetIndexEmptyValue(3,0.0); 
   SetIndexStyle(4,DRAW_ARROW); 
   SetIndexArrow(4,119); 
   SetIndexBuffer(4,fb3); 
   SetIndexEmptyValue(4,0.0); 
   SetIndexStyle(5,DRAW_ARROW); 
   SetIndexArrow(5,119); 
   SetIndexBuffer(5,fb4); 
   SetIndexEmptyValue(5,0.0); 
   SetIndexStyle(6,DRAW_ARROW); 
   SetIndexArrow(6,119); 
   SetIndexBuffer(6,fb5); 
   SetIndexEmptyValue(6,0.0); 
//---- 
   return(0); 
  } 
//+------------------------------------------------------------------+ 
//| Custom indicator deinitialization function                       | 
//+------------------------------------------------------------------+ 
int deinit() 
  { 
//---- 
    
//---- 
   return(0); 
  } 
//+------------------------------------------------------------------+ 
//| Custom indicator iteration function                              | 
//+------------------------------------------------------------------+ 
int start() 
  { 
   int    counted_bars=IndicatorCounted(); 
    if(counted_bars < 0) 
        return(-1); 
//---- 
   int limit=Bars-counted_bars; 
    

   double nHH, nLL; 
   double range; 

   int processBars=MathMin(limit, max_bars); 
   for(int i=processBars;i>=0;i--){ 
   
     oTop[i] = iHigh(NULL,iPeriod,iShift); 
     oBot[i] = iLow(NULL,iPeriod,iShift); 
     
      if (bDrawFibs){   // draw fibs              
            range  = oTop[i] - oBot[i]; 
            fb1[i] = oTop[i] + range*iLevel4; 
            fb2[i] = oTop[i] + range*iLevel2; 
            fb3[i] = oTop[i] - range*iLevel3; 
            fb4[i] = oBot[i] - range*iLevel2; 
            fb5[i] = oBot[i] - range*iLevel4; 
       } //end if    
   } //end for 

    
//---- 
   return(0); 
  } 
//+------------------------------------------------------------------+ 

